> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List cards

> OAuth scope: `card.read`

Retrieves the list of cards that can be viewed by the authenticated membership.

You can filter and sort this list by using [query parameters](#parameter-query) 👇

<Info>
  This endpoint is still in **beta**. Please get in touch with our team if you have any question or feedback: [here](https://getqonto.atlassian.net/servicedesk/customer/portals).
</Info>




## OpenAPI

````yaml get /v2/cards
openapi: 3.1.1
info:
  version: v2
  title: Qonto
servers:
  - url: https://thirdparty.qonto.com
    description: Production URL
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox URL
security:
  - OAuth:
      - organization.read
      - membership.read
      - membership.write
      - attachment.write
      - internal_transfer.write
      - payment.write
      - supplier_invoice.write
      - supplier_invoice.read
      - client_invoices.read
      - client_invoice.write
      - client.read
      - client.write
      - product.read
      - product.write
      - request_review.write
      - request_review.read
      - team.read
      - team.write
      - request_transfers.write
      - insurance_contract.read
      - insurance_contract.write
      - card.read
      - card.write
      - bank_account.write
      - beneficiary.trust
      - webhook
      - payment_link.write
      - payment_link.read
      - sepa_direct_debit.read
      - sepa_direct_debit.write
      - terminal.read
      - terminal.write
  - SecretKey: []
paths:
  /v2/cards:
    get:
      tags:
        - Cards
      summary: List cards
      description: >
        OAuth scope: `card.read`


        Retrieves the list of cards that can be viewed by the authenticated
        membership.


        You can filter and sort this list by using [query
        parameters](#parameter-query) 👇


        <Info>
          This endpoint is still in **beta**. Please get in touch with our team if you have any question or feedback: [here](https://getqonto.atlassian.net/servicedesk/customer/portals).
        </Info>
      parameters:
        - $ref: '#/components/parameters/X-Qonto-Staging-Token'
        - name: query
          in: query
          description: |-
            Text search can be performed on the following fields:
            - memberships.first_name
            - memberships.last_name
            - cards.id
            - cards.nickname
            - cards.last_digits
            - cards.status
            - cards.pre_expires_at
            - cards.exp_year
            - cards.exp_month
          schema:
            type: string
        - name: page
          in: query
          description: Returned page (cf. [Pagination](/get-started/general/pagination)).
          schema:
            type: integer
            default: 1
            example: 2
        - name: per_page
          in: query
          description: >-
            Number of cards per page (cf.
            [Pagination](/get-started/general/pagination)).
          schema:
            type: integer
            maximum: 100
            default: 100
            example: 20
        - name: sort_by
          in: query
          description: |-
            Cards can be sorted by a specific property and order.
            Property: `status`, `nickname`, `last_activity_at` or `created_at`
            Order: `asc` (Ascending) / `desc` (Descending)
          schema:
            type: string
            format: property:order
            default: status:asc
        - name: holder_ids[]
          in: query
          description: Cards can be filtered by their `holder_id`.
          schema:
            type: array
            items:
              $ref: '#/components/schemas/card_holder_id'
        - name: statuses[]
          in: query
          description: Cards can be filtered by their `status`.
          schema:
            type: array
            items:
              $ref: '#/components/schemas/card_status'
            example: statuses[]=pending&statuses[]=live
        - name: bank_account_ids[]
          in: query
          description: Cards can be filtered by their `bank_account_id`.
          schema:
            type: array
            items:
              $ref: '#/components/schemas/card_bank_account_id'
            example: bank_account_ids[]=id1&bank_account_ids[]=id2
        - name: card_levels[]
          in: query
          description: Cards can be filtered by their `card_level`.
          schema:
            type: array
            items:
              $ref: '#/components/schemas/card_level'
            example: card_levels[]=virtual&card_levels[]=flash
        - name: ids[]
          in: query
          description: Cards can be filtered by their `id`.
          schema:
            type: array
            items:
              $ref: '#/components/schemas/card_id'
            example: ids[]=id1&ids[]=id2
      responses:
        '200':
          description: Returns the list of cards.
          content:
            application/json:
              schema:
                type: object
                properties:
                  meta:
                    $ref: '#/components/schemas/Pagination'
                  cards:
                    type: array
                    items:
                      $ref: '#/components/schemas/CardPayload'
        '400':
          $ref: '#/components/responses/400-Bad-request'
        '401':
          $ref: '#/components/responses/401-Unauthorized'
        '403':
          $ref: '#/components/responses/403-Forbidden'
        '422':
          $ref: '#/components/responses/422-Unprocessable-Entity'
        '500':
          $ref: '#/components/responses/500-Internal-Server-Error'
      security:
        - OAuth:
            - card.read
components:
  parameters:
    X-Qonto-Staging-Token:
      name: X-Qonto-Staging-Token
      in: header
      description: >-
        Required only for Sandbox API requests; to get one, please sign up to
        the [Developer Portal](https://developers.qonto.com/).
      schema:
        type: string
  schemas:
    card_holder_id:
      type: string
      description: The membership identifier of the card holder.
      format: uuid
    card_status:
      type: string
      enum:
        - pending
        - live
        - paused
        - stolen
        - lost
        - pin_blocked
        - discarded
        - expired
        - shipped_lost
        - onhold
        - order_canceled
        - pre_expired
        - abusive
      description: >-
        Status of the card.

        Pending: the card is awaiting PIN to be set or issuing to complete.

        Live: the card is active and can be used.

        Paused: the card is paused and cannot be used until un-paused.

        Stolen: the card has been reported as stolen and cannot be used.

        Lost: the card has been reported as lost and cannot be used.

        Pin_blocked: the card has been blocked due to too many wrong PIN
        attempts. It can still be used for card-not-present transactions.

        Discarded: the card has been discarded and cannot be used.

        Expired: the card has expired and cannot be used.

        Shipped_lost: the card has been lost during shipping and cannot be used.

        Onhold: the card issuing is on hold due to missing KYC/KYB validation
        and cannot be used.

        Order_canceled: the card order has been canceled.

        Pre_expired: the flash card has reached the end of its validity and
        cannot be used.

        Abusive: the card has been reported as abusive and cannot be used.
      example: pending
    card_bank_account_id:
      type: string
      description: The id of the bank account to which the card is attached
      format: uuid
    card_level:
      type: string
      enum:
        - standard
        - plus
        - metal
        - virtual
        - virtual_partner
        - flash
        - advertising
      description: >-
        Level of the card. A level defines a set of card capabilities and
        pricing.

        Standard, plus and metal are physical cards.

        See our Qonto cards: https://qonto.com/en/payment-methods/card.
      example: standard
    card_id:
      type: string
      description: Unique card identifier
      format: uuid
    Pagination:
      type: object
      description: Metadata for paginated responses
      required:
        - current_page
        - next_page
        - prev_page
        - total_pages
        - total_count
        - per_page
      properties:
        current_page:
          type: integer
          description: The current page number
          example: 2
        next_page:
          type:
            - integer
            - 'null'
          description: The next page number (null if on last page)
          example: 3
        prev_page:
          type:
            - integer
            - 'null'
          description: The previous page number (null if on first page)
          example: 1
        total_pages:
          type: integer
          description: Total number of pages
          example: 11
        total_count:
          type: integer
          description: Total number of items across all pages
          example: 210
        per_page:
          type: integer
          description: Number of items per page
          example: 20
    CardPayload:
      type: object
      description: A representation of a card
      properties:
        id:
          $ref: '#/components/schemas/card_id'
        nickname:
          $ref: '#/components/schemas/card_nickname'
        embossed_name:
          $ref: '#/components/schemas/card_embossed_name'
        status:
          $ref: '#/components/schemas/card_status'
        pin_set:
          $ref: '#/components/schemas/card_pin_set'
        mask_pan:
          $ref: '#/components/schemas/card_mask_pan'
        exp_month:
          $ref: '#/components/schemas/card_exp_month'
        exp_year:
          $ref: '#/components/schemas/card_exp_year'
        last_activity_at:
          $ref: '#/components/schemas/card_last_activity_at'
        last_digits:
          $ref: '#/components/schemas/card_last_digits'
        ship_to_business:
          $ref: '#/components/schemas/card_ship_to_business'
        atm_option:
          $ref: '#/components/schemas/card_atm_option'
        nfc_option:
          $ref: '#/components/schemas/card_nfc_option'
        online_option:
          $ref: '#/components/schemas/card_online_option'
        foreign_option:
          $ref: '#/components/schemas/card_foreign_option'
        atm_monthly_limit:
          $ref: '#/components/schemas/card_atm_monthly_limit'
        atm_monthly_spent:
          $ref: '#/components/schemas/card_atm_monthly_spent'
        atm_daily_limit:
          $ref: '#/components/schemas/card_atm_daily_limit'
        atm_daily_spent:
          $ref: '#/components/schemas/card_atm_daily_spent'
        atm_daily_limit_option:
          $ref: '#/components/schemas/card_atm_daily_limit_option'
        payment_monthly_limit:
          $ref: '#/components/schemas/shared_card_payment_monthly_limit'
        payment_monthly_spent:
          $ref: '#/components/schemas/card_payment_monthly_spent'
        payment_daily_limit:
          $ref: '#/components/schemas/card_payment_daily_limit'
        payment_daily_spent:
          $ref: '#/components/schemas/card_payment_daily_spent'
        payment_daily_limit_option:
          $ref: '#/components/schemas/card_payment_daily_limit_option'
        payment_transaction_limit:
          $ref: '#/components/schemas/card_payment_transaction_limit'
        payment_transaction_limit_option:
          $ref: '#/components/schemas/card_payment_transaction_limit_option'
        active_days:
          $ref: '#/components/schemas/card_active_days'
        holder_id:
          $ref: '#/components/schemas/card_holder_id'
        initiator_id:
          $ref: '#/components/schemas/initiator_id'
        bank_account_id:
          $ref: '#/components/schemas/card_bank_account_id'
        organization_id:
          $ref: '#/components/schemas/card_organization_id'
        updated_at:
          type: string
          description: Datetime at which the object was last updated.
          format: date-time
        created_at:
          type: string
          description: Datetime at which the object was created.
          format: date-time
        shipped_at:
          $ref: '#/components/schemas/card_shipped_at'
        card_type:
          $ref: '#/components/schemas/card_type'
        card_level:
          $ref: '#/components/schemas/card_level'
        payment_lifespan_limit:
          $ref: '#/components/schemas/shared_card_payment_lifespan_limit'
        payment_lifespan_spent:
          $ref: '#/components/schemas/card_payment_lifespan_spent'
        pre_expires_at:
          $ref: '#/components/schemas/shared_card_pre_expires_at'
        categories:
          $ref: '#/components/schemas/card_categories'
        renewed:
          $ref: '#/components/schemas/card_renewed'
        renewal:
          $ref: '#/components/schemas/card_renewal'
        parent_card_summary:
          allOf:
            - $ref: '#/components/schemas/CardSummary'
            - description: >-
                Summary of this card's parent (the card which this card is a
                renewal of)
        had_operation:
          $ref: '#/components/schemas/card_had_operation'
        had_pin_operation:
          $ref: '#/components/schemas/card_had_pin_operation'
        card_design:
          $ref: '#/components/schemas/card_design'
        type_of_print:
          $ref: '#/components/schemas/card_type_of_print'
        upsold:
          $ref: '#/components/schemas/card_upsold'
        upsell:
          $ref: '#/components/schemas/card_upsell'
        discard_on:
          $ref: '#/components/schemas/card_discard_on'
        reordered:
          $ref: '#/components/schemas/card_reordered'
        appearance:
          $ref: '#/components/schemas/CardAppearance'
        has_only_user_liftable_locks:
          $ref: '#/components/schemas/card_has_only_user_liftable_locks'
    card_nickname:
      type: string
      description: Display name for the card.
      minLength: 1
      maxLength: 40
      example: 💳 for 🍗
    card_embossed_name:
      type:
        - string
        - 'null'
      description: String representing the name printed on the physical card object.
      example: DOLORES KOULECHOV
    card_pin_set:
      type: boolean
      description: Whether the pin code for the card is set or not.
      example: true
    card_mask_pan:
      type:
        - string
        - 'null'
      description: String representing the masked PAN of card.
      example: 511768******7662
    card_exp_month:
      type:
        - string
        - 'null'
      description: The expiration month. [1-12]
      format: number
      example: '3'
    card_exp_year:
      type:
        - string
        - 'null'
      description: The expiration year.
      format: number
      example: '2024'
    card_last_activity_at:
      type: string
      description: >-
        The datetime of the last activity happened with this card. By activity
        we mean any attempt to use the cards, successful or not.

        Creating a transaction or not. Does not include any updates to settings
        or options.
      format: date-time
    card_last_digits:
      type:
        - string
        - 'null'
      description: The last 4 numbers of the card.
      format: ^\d\d\d\d$
      example: '7662'
    card_ship_to_business:
      type: boolean
      description: >-
        Whether the card is shipped to the business location, which is the
        organisation address as registered in Qonto.
      example: false
    card_atm_option:
      type: boolean
      description: Flag indicating whether the card could withdraw money on an ATM.
      example: true
    card_nfc_option:
      type: boolean
      description: >-
        Flag indicating whether the card could make a payment with NFC mode
        (contactless).
      example: true
    card_online_option:
      type: boolean
      description: >-
        Flag indicating whether the card could make an online payment.

        Online payment are not related to any mastercard registered Point of
        Sale or terminal of payment.
      example: true
    card_foreign_option:
      type: boolean
      description: Flag indicating whether the card could make a payment outside of France.
      example: true
    card_atm_monthly_limit:
      type: integer
      description: 'Total of ATM limit per month (unit: euro).'
      minimum: 10
      maximum: 3000
      example: 1000
    card_atm_monthly_spent:
      type: number
      description: 'Total of ATM spend on the current month (unit: euro).'
      example: 1000
    card_atm_daily_limit:
      type: integer
      description: 'Total of withdrawal limit per day. (unit: euro)'
      minimum: 10
      maximum: 3000
      example: 1000
    card_atm_daily_spent:
      type: number
      description: 'Total of ATM spend today (unit: euro).'
      example: 0
    card_atm_daily_limit_option:
      type: boolean
      description: >-
        Flag indicating whether the total amount per day limit should be applied
        to atm withdrawals
      example: true
    shared_card_payment_monthly_limit:
      type: integer
      description: 'Total of payment limit by month (unit: euro).'
      minimum: 0
      maximum: 200000
      example: 1000
    card_payment_monthly_spent:
      type: number
      description: 'Total of payment spend on the current month (unit: euro).'
      example: 1000
    card_payment_daily_limit:
      type: integer
      description: Total of payment limit per day.
      minimum: 0
      maximum: 60000
      example: 1000
    card_payment_daily_spent:
      type: number
      description: 'Total amount spent on the current day (unit: euro).'
      example: 1000
    card_payment_daily_limit_option:
      type: boolean
      description: >-
        Flag indicating whether the total amount per day limit should be applied
        to payments
      example: true
    card_payment_transaction_limit:
      type: integer
      description: Total of payment limit per transaction.
      example: 1000
    card_payment_transaction_limit_option:
      type: boolean
      description: >-
        Flag indicating whether the total amount per transaction limit should be
        applied to payments
      example: true
    card_active_days:
      type: array
      description: 'Days card is active i.e. [1-7]. ISO8601: starts on Monday with 1.'
      items:
        type: integer
        enum:
          - 1
          - 2
          - 3
          - 4
          - 5
          - 6
          - 7
      example:
        - 1
        - 3
        - 5
    initiator_id:
      type: string
      description: The membership identifier for the initiator of the card order.
      format: uuid
    card_organization_id:
      type: string
      description: The ID of the organization the card belongs to.
      format: uuid
    card_shipped_at:
      type:
        - string
        - 'null'
      description: >-
        For physical cards only, Datetime at which the card was shipped to its
        holder. Depending on the carrier (local or international),

        delivery can take from 2 to 5 business days to complete the reception of
        the card.
      format: date-time
      example: null
    card_type:
      type: string
      enum:
        - debit
        - prepaid
      description: >-
        Type of the card. Currently only `debit` cards are supported.

        It has an impact on when the money is debited but also in the acceptance
        on the merchant side.
      example: debit
    shared_card_payment_lifespan_limit:
      type: integer
      description: >-
        Total of payment limit until card expires (unit: euro). Applicable only
        for Flash cards.
      minimum: 5
      maximum: 20000
      default: 100
    card_payment_lifespan_spent:
      type: number
      description: 'Total amount spent on the card since its creation (unit: euro).'
      example: 42
    shared_card_pre_expires_at:
      type:
        - string
        - 'null'
      description: Flash card will be valid until this date.
      format: date-time
    card_categories:
      type: array
      description: >
        By default it's empty array - [].

        If it's empty array - [] means that category restrictions are turned off
        and all the categories are allowed.

        Can be set to not empty only for organizations with price plan starting
        from Team.


        List of allowed category tags:

        - transport

        - restaurant_and_bar

        - food_and_grocery

        - it_and_electronics

        - utility

        - tax

        - legal_and_accounting

        - atm

        - office_supply

        - hardware_and_equipment

        - finance
      items:
        type: string
      example:
        - transport
        - restaurant_and_bar
        - food_and_grocery
    card_renewed:
      type: boolean
      description: >-
        Flag indicating whether the expiring card has been renewed e.i. if
        renewal card has been created then the expiring card's renewed field
        becomes true
      example: false
    card_renewal:
      type: boolean
      description: Flag indicating whether the card is a renewal card
      example: false
    CardSummary:
      type: object
      description: Summary of a card, containing only static immutable information
      properties:
        id:
          $ref: '#/components/schemas/card_id'
        last_digits:
          $ref: '#/components/schemas/card_last_digits'
    card_had_operation:
      type: boolean
      description: >-
        Flag indicating whether the card has had any operations. Operations
        means any attempt at usage of the card.
      example: false
    card_had_pin_operation:
      type: boolean
      description: >-
        Flag indicating whether the card is PIN activated through a PIN
        operation or not.

        PIN operations means any attempt to use the card that requires its PIN
        code.
      example: false
    card_design:
      type: string
      enum:
        - standard.recycled.plastic.2023
        - plus.recycled.plastic.silver.2023
        - plus.recycled.plastic.black.2023
        - plus.recycled.plastic.lilac.2023
        - metal.graphite.black.2019
        - metal.mineral.gray.2024
        - metal.sand.gold.2024
        - virtual.default.2017
        - virtual.blueberry.2025
        - virtual.sakura.2025
        - virtual.plum.2025
        - virtual.dawn.2025
        - virtual.together.or.nothing.2025
        - virtual.gus.gus.2025
        - virtual.forever.bound.2025
        - virtual.puzzle.2025
        - flash.default.2021
        - advertising.default.2023
      description: >-
        The visuals for the card are specified according to the card level. For
        example, "standard.recycled.plastic.2023" is available only for the
        standard design level, while "plus.recycled.plastic.lilac.2023" is
        available only for the plus design level. You can determine the design
        available for a specific card level by looking at the prefix of the card
        design.
      example: standard.recycled.plastic.2023
    card_type_of_print:
      type:
        - string
        - 'null'
      enum:
        - print
        - embossed
        - null
      description: >-
        Specifies how the card information is presented on the physical card.

        This property is exclusively available for `plus` cards; other card
        levels must omit the value.
      example: embossed
    card_upsold:
      type: boolean
      description: Flag indicating whether the card has been upsold
      example: false
    card_upsell:
      type: boolean
      description: Flag indicating whether the card is an upsell child card
      example: false
    card_discard_on:
      type:
        - string
        - 'null'
      description: >-
        Datetime at which the card will be discarded after being upsold.
        (upsold_at  + 30 days)
      format: ^[0-9]{4,}-[0-9]{2}-[0-9]{2}$
      example: '2022-11-31'
    card_reordered:
      type: boolean
      description: >-
        Describes if the card has been reordered and there is a new card
        instead.
      default: false
      example: false
    CardAppearance:
      type: object
      description: Describe the visual of the card
      properties:
        assets:
          $ref: '#/components/schemas/CardAssets'
        theme:
          type: string
          enum:
            - dark
            - light
          description: Name of the theme used for the card design
          example: dark
        gradient_hex_color:
          type: string
          description: >-
            Hexadecimal color code representing the gradient color of the card
            design
          example: '#000000'
      required:
        - assets
        - theme
    card_has_only_user_liftable_locks:
      type: boolean
      description: >-
        For a card in the `paused` status, it represents whether the card can be
        unlocked by the user.

        If the value is set to `false`, it means that the card may be locked for
        reasons that are not user-determined, for example the organization being
        suspended.
    BadRequestResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/BadRequestError'
      required:
        - errors
    UnauthorizedResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/UnauthorizedError'
      required:
        - errors
    ForbiddenResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ForbiddenError'
      required:
        - errors
    UnprocessableEntityError:
      type: object
      properties:
        status:
          type: string
          example: unprocessable entity
        code:
          type: string
          description: Error code.
          example: missing_key
        detail:
          type: string
          description: Human readable error that explains error `code`.
          example: property is missing
        message:
          type: string
          example: property id is missing
        source:
          type: object
          properties:
            pointer:
              type: string
              description: >-
                The property and the item in an array (if applicable) that
                causes the error.
              example: id
      required:
        - code
        - detail
      x-examples:
        Missing property:
          code: missing_key
          detail: property is missing
          source:
            pointer: /external_transfer/atrribute
    CardAssets:
      type: object
      properties:
        front_large:
          type: string
          description: URL to a large image of the front of the card
          format: uri
          example: >-
            https://qonto.com/card-designs/standard/standard.recycled.plastic.2023/front_large.png
        front_small:
          type: string
          description: URL to a small image of the front of the card
          format: uri
          example: >-
            https://qonto.com/card-designs/standard/standard.recycled.plastic.2023/front_small.png
        front_small_wallet:
          type: string
          description: >-
            URL to a small image of the front of the card, optimized for wallet
            apps
          format: uri
          example: >-
            https://qonto.com/card-designs/standard/standard.recycled.plastic.2023/front_small_wallet.png
      required:
        - front_large
        - front_small
        - front_small_wallet
    BadRequestError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
        source:
          type: object
          properties:
            pointer:
              type: string
              description: >-
                The property in the request body that caused the error
                (optional).
            parameter:
              type: string
              description: The query parameter that caused the error (optional).
      required:
        - code
        - detail
      x-examples:
        Authorization field missing:
          code: bad_request
          detail: Authorization field missing
    UnauthorizedError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Invalid credentials:
          code: unauthorized
          detail: Invalid credentials
    ForbiddenError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Insufficient permissions:
          code: forbidden
          detail: User does not have sufficient permissions for this action.
  responses:
    400-Bad-request:
      description: Returns a bad request error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestResponseBody'
          examples:
            Authorization field missing:
              value:
                errors:
                  - code: bad_request
                    detail: Authorization field missing
    401-Unauthorized:
      description: Returns an unauthorized error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedResponseBody'
          examples:
            authorization_header_missing:
              value:
                errors:
                  - code: authorization_header_missing
                    detail: authorization header missing
            authorization_token_invalid:
              value:
                errors:
                  - code: authorization_token_invalid
                    detail: authorization token invalid
    403-Forbidden:
      description: Returns a forbidden error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenResponseBody'
          examples:
            Insufficient permissions:
              value:
                errors:
                  - code: forbidden
                    detail: User does not have sufficient permissions for this action.
    422-Unprocessable-Entity:
      description: Returns an unprocessable entity error.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/UnprocessableEntityError'
            x-examples:
              Example 1:
                errors:
                  - code: missing_key
                    detail: reference is missing
                    source:
                      pointer: /external_transfer/reference
    500-Internal-Server-Error:
      description: Returns an internal server error.
  securitySchemes:
    OAuth:
      type: oauth2
      description: >
        Bearer authorization header: `Bearer <token>`, where `<token>` is the
        access token received from the authorization server at the end of the
        [OAuth 2.0
        flow](/get-started/business-api/authentication/oauth/oauth-flow).
      flows:
        authorizationCode:
          refreshUrl: https://oauth.qonto.com/oauth2/token
          authorizationUrl: https://oauth.qonto.com/oauth2/auth
          scopes:
            attachment.read: Retrieve attachments
            attachment.write: Upload attachments and remove attachments from transactions
            bank_account.write: Create, update and close bank accounts
            beneficiary.trust: Trust SEPA beneficiaries
            card.read: Retrieve cards
            card.write: Create or update cards
            client.read: Retrieve clients
            client.write: Create clients
            client_invoice.write: Create client invoices
            client_invoices.read: Retrieve client invoices and credit notes
            einvoicing.read: Retrieve e-invoicing settings
            embed_auth_link.write: Create Embed auth links
            insurance_contract.read: Retrieve insurance contracts
            insurance_contract.write: Create and update insurance contracts
            internal_transfer.write: >-
              Create internal transfers (between 2 Qonto accounts of the same
              organization)
            international_transfer.write: Create international transfers
            membership.read: Retrieve the authentified membership
            membership.write: Invite team members
            offline_access: Retrieve a refresh token
            organization.read: >-
              Retrieve organization, bank accounts, transactions, transfers,
              beneficiaries, labels, memberships, requests & statements
            payment.write: Create external transfers and untrust beneficiaries
            payment_link.read: >-
              Retrieve payment links, their payments, and the available payment
              methods
            payment_link.write: >-
              Connect to the payment links provider, create and deactivate
              payment links
            product.read: Retrieve products
            product.write: Create products
            request_cards.write: Create card requests
            request_review.write: Approve or decline requests
            request_transfers.write: Create transfer requests
            sepa_direct_debit.read: View SEPA Direct Debit payments
            sepa_direct_debit.write: Manage SEPA Direct Debit payments
            supplier_invoice.read: Retrieve supplier invoices
            supplier_invoice.write: Create supplier invoices
            team.read: Retrieve teams
            team.write: Create teams
            terminal.read: View your payment terminals
            terminal.write: Configure your terminals and initiate payments
            webhook: >-
              Receive a notification each time a particular event occurs in
              Qonto
          tokenUrl: https://oauth.qonto.com/oauth2/token
    SecretKey:
      type: apiKey
      description: cf. [API key](/get-started/business-api/authentication/api-key)
      name: Authorization
      in: header

````